#!/bin/bash
# Author:  Jaxson <wangjin@boxrom.com>
# BLOG:  https://i95.me
#
# Notes: Compact Script For iOS 9.3.3
#
# Project home page:
#       https://i95.me/blog/post/jaxson/iOS-9.3.3-compact-script.html
#
echo=echo
for cmd in echo /bin/echo; do
    $cmd >/dev/null 2>&1 || continue
    if ! $cmd -e "" | grep -qE '^-e'; then
        echo=$cmd
        break
    fi
done
CSI=$($echo -e "\033[")
CEND="${CSI}0m"
CDGREEN="${CSI}32m"
CRED="${CSI}1;31m"
CGREEN="${CSI}1;32m"
CYELLOW="${CSI}1;33m"
CBLUE="${CSI}1;34m"
CMAGENTA="${CSI}1;35m"
CCYAN="${CSI}1;36m"
CSUCCESS="$CDGREEN"
CFAILURE="$CRED"
CQUESTION="$CMAGENTA"
CWARNING="$CYELLOW"
CMSG="$CCYAN"
printf "
${CMSG}
#######################################################################
#                   Compact Script For iOS 9.3.3                      #
#                     iOS9.3.3一键精简脚本                            #
#                    2016.07.27 Version 1.3                           #
#                     博客：https://i95.me                            #
#######################################################################
${CEND}
"
    echo "${CMSG}欢迎使用iOS9.3.3精简脚本${CEND}"
	echo " "
	echo "${CFAILURE}注意事项：${CEND}"
	echo "${CMSG}在运行脚本之前请${CEND}${CFAILURE}关闭${CEND}${CWARNING}设置-通用-访问限制${CEND}${CMSG}选项统统关闭！${CEND}"
	echo "${CMSG}在运行脚本之前请${CEND}${CFAILURE}关闭${CEND}${CWARNING}设置-通用-访问限制--定位服务${CEND}${CMSG}选择不允许更改！！${CEND}"
	echo "${CMSG}在运行脚本之前请${CEND}${CFAILURE}关闭${CEND}${CWARNING}设置-隐私-定位服务${CEND}${CMSG}！！${CEND}"
	echo "${CMSG}否则会出现白图标！${CEND}"
	echo " "
read -p "${CMSG}若准备好请任意键回车进行处理脚本，否则请“Ctrl+C”停止运行！${CEND}"
echo 
echo 
echo "${CMSG}初始化脚本${CEND}"
echo 
rm /System/Library/PrivateFrameworks/Preferences.framework/Restrictions.plist
rm /System/Library/PrivateFrameworks/PreferencesUI.framework/Privacy.plist
rm /System/Library/PrivateFrameworks/PreferencesUI.framework/Settings.plist
rm /System/Library/PrivateFrameworks/PreferencesUI.framework/Sounds.plist
chmod 644 Restrictions.plist
chmod 644 Privacy.plist
chmod 644 Settings.plist
chmod 644 Sounds.plist
sleep 3
echo 
echo "${CMSG}精简应用程序${CEND}"
echo 
sleep 1
echo 》删除“音乐”
rm -rf /Applications/MusicUIService.app
rm -rf /Applications/Music.app
rm -rf /System/Library/AccessibilityBundles/Music.axbundle
rm -rf /System/Library/AccessibilityBundles/MusicLibrary.axbundle
rm -rf /System/Library/AccessibilityBundles/MusicUI.axbundle
rm -rf /System/Library/PreferenceBundles/MusicSettings.bundle
rm -rf /System/Library/UsageBundles/MusicUsage.bundle
rm -rf /System/Library/SyncBundles/MusicLibrary.syncBundle
sleep 1
echo 》删除“视频”
rm -rf /Applications/Videos.app
rm -rf /System/Library/AccessibilityBundles/Videos.axbundle
rm -rf /System/Library/Frameworks/VideoToolbox.framework
rm -rf /System/Library/PreferenceBundles/VideoSettings.bundle
rm -rf /System/Library/UsageBundles/VideosUsage.bundle
rm -rf /System/Library/PrivateFrameworksVideoProcessing.framework
rm -rf /System/Library/PrivateFrameworksVideoUpload.framework
sleep 1
echo 》删除“iBook”
rm -rf /Applications/iBooks.app
rm -rf /Applications/Setup.app/AppleIDiBooks@2x.png
rm -rf /System/Library/SyncBundles/Books.syncBundle
rm -rf /System/Library/SearchBundles/AddressBook.searchBundle
rm -rf /System/Library/AccessibilityBundles/AddressBook-Assistant.axbundle
rm -rf /System/Library/AccessibilityBundles/AddressBookUIFramework.axbundle
rm -rf /var/mobile/Media/Books
sleep 1
echo 》删除“播客”
rm -rf /Applications/Podcasts.app
rm -rf /System/Library/AccessibilityBundles/Podcasts.axbundle
rm -rf /System/Library/Assistant/Plugins/Podcasts.assistantBundle
sleep 1
echo 》删除“股票”
rm -rf /Applications/Stocks.app
rm -rf /System/Library/AccessibilityBundles/Stocks WatchKit Extension.axbundle
rm -rf /System/Library/AccessibilityBundles/Stocks.axbundle
rm -rf /System/Library/AccessibilityBundles/Stocks-Assistant.axbundle
rm -rf /System/Library/AccessibilityBundles/StocksFramework.axbundle
rm -rf /System/Library/AccessibilityBundles/StocksWidget.axbundle
rm -rf /System/Library/Assistant/Plugins/Stocks.assistantBundle
rm -rf /System/Library/Assistant/UIPlugins/Stocks.siriUIBundle
rm -rf /System/Library/PrivateFrameworks/Stocks.framework
sleep 1
echo 》删除“Flickr”
rm -rf /Applications/SocialUIService.app/PlugIns/com.apple.social.FlickrComposeService.appex
rm -rf /System/Library/PreferenceBundles/FlickrSettings.bundle
rm -rf /System/Library/Accounts/Authentication/FlickrAuthenticationPlugin.bundle
rm -rf /System/Library/Frameworks/Social.framework/XPCServices/com.apple.flickr.xpc
sleep 1
echo 》删除“Vimeo”
rm -rf /Applications/SocialUIService.app/PlugIns/com.apple.social.VimeoComposeService.appex
rm -rf /System/Library/PreferenceBundles/VimeoSettings.bundle
rm -rf /System/Library/Accounts/Authentication/VimeoAuthenticationPlugin.bundle
rm -rf /System/Library/Frameworks/Social.framework/XPCServices/com.apple.vimeo.xpc
sleep 1
echo 》删除“腾讯微博”
rm -rf /Applications/SocialUIService.app/PlugIns/com.apple.social.TencentWeiboComposeService.appex
rm -rf /Applications/TencentWeiboAccountMigrationDialog.app
rm -rf /System/Library/PreferenceBundles/TencentWeiboSettings.bundle
rm -rf /System/Library/Accounts/Authentication/TencentWeiboAuthenticationPlugin.bundle
rm -rf /System/Library/Accounts/Access/TencentWeiboAccessPlugin.bundle
rm -rf /System/Library/Frameworks/Social.framework/tencentWeibodModel.momd
rm -rf /System/Library/Frameworks/Social.framework/XPCServices/com.apple.tencentweibo.xpc
sleep 1
echo 》删除“推特”
rm -rf /Applications/SocialUIService.app/PlugIns/com.apple.social.TwitterComposeService.appex
rm -rf /System/Library/PreferenceBundles/TwitterSettings.bundle
rm -rf /System/Library/AccessibilityBundles/TwitterFramework.axbundle
rm -rf /System/Library/Accounts/Authentication/TwitterAuthenticationPlugin.bundle
rm -rf /System/Library/Accounts/Access/TwitterAccessPlugin.bundle
rm -rf /System/Library/Frameworks/Social.framework/XPCServices/com.apple.twitter.xpc
rm -rf /System/Library/Frameworks/Twitter.framework
sleep 1
echo 》删除“脸书”
rm -rf /Applications/SocialUIService.app/PlugIns/com.apple.social.FacebookComposeService.appex
rm -rf /System/Library/PreferenceBundles/FacebookSettings.bundle
rm -rf /System/Library/AccessibilityBundles/FacebookSettings.axbundle
rm -rf /System/Library/Accounts/Authentication/FacebookAuthenticationPlugin.bundle
rm -rf /System/Library/Accounts/Access/FacebookAccessPlugin.bundle
rm -rf /System/Library/Frameworks/Social.framework/XPCServices/com.apple.facebook.xpc
sleep 1
echo 》删除“新浪微博”
rm -rf /Applications/SocialUIService.app/PlugIns/com.apple.social.SinaWeiboComposeService.appex
rm -rf /System/Library/PreferenceBundles/WeiboSettings.bundle
rm -rf /System/Library/Accounts/Authentication/WeiboAuthenticationPlugin.bundle
rm -rf /System/Library/Frameworks/Social.framework/XPCServices/com.apple.weibo.xpc
sleep 1
echo 》删除“HomeKit”
rm -rf /Applications/HomeUIService
rm -rf /System/Library/Frameworks/HomeKit.framework
rm -rf /System/Library/Accounts/Notification/HomeKitAccountNotificationPlugin.bundle
rm -rf /System/Library/PrivateFrameworks/HomeKitDaemon.framework
rm -rf /System/Library/LaunchDaemons/com.apple.homed.plist
rm -rf /System/Library/LocationBundles/HomeKitDaemon.framework
rm -rf /System/Library/AssetTypeDescriptors/com.apple.MobileAsset.AssetTypeDescriptor.HomeKit.plist
rm -rf /System/Library/PairedSyncServices/com.apple.pairedsync.homekit.plist
sleep 1
echo 》删除“手表”
rm -rf /Applications/Bridge.app
rm -rf /System/Library/AccessibilityBundles/Bridge.axbundle
rm -rf /System/Library/AccessibilityBundles/WatchKit.axbundle
rm -rf /System/Library/Frameworks/WatchConnectivity.framework
rm -rf /System/Library/Frameworks/WatchKit.framework
rm -rf /System/Library/LocationBundles/AppleWatchFaces.bundle
rm -rf /System/Library/PrivateFrameworks/BridgePreferences.framework
sleep 1
echo 》删除“News”
rm -rf /Applications/News.app
rm -rf /System/Library/Accounts/DataclassOwners/News.bundle
rm -rf /System/Library/Accounts/Notification/NewsNotificationPlugin.bundle
sleep 1
echo 》删除“查找我的朋友”
rm -rf /Applications/FindMyFriends.app
rm -rf /System/Library/AccessibilityBundles/FindMyFriends.axbundle
sleep 1
echo 》删除“提示”
rm -rf /Applications/Tips.app
rm -rf /Library/LaunchDaemons/com.apple.tipsd.plist
rm -rf /System/Library/PrivateFrameworks/Tips.framework
rm -rf /System/Library/AccessibilityBundles/Tips.axbundle
rm -rf /System/Library/LaunchDaemons/com.apple.tipsd.plist
sleep 1
echo 》删除“提醒事项”
rm -rf /Applications/Reminders.app
rm -rf /System/Library/AccessibilityBundles/Reminders-Assistant.axbundle
rm -rf /System/Library/AccessibilityBundles/Reminders.axbundle
rm -rf /System/Library/AccessibilityBundles/RemindersWidget.axbundle
rm -rf /System/Library/Assistant/Plugins/Reminders.assistantBundle
rm -rf /System/Library/Assistant/UIPlugins/Reminders.siriUIBundle
rm -rf /System/Library/PreferenceBundles/RemindersSettings.bundle
sleep 1
echo 》删除“Wallet”
rm -rf /Applications/Passbook.app
rm -rf /Applications/PassbookUIService.app
rm -rf /System/Library/AccessibilityBundles/PassKitFramework.axbundle
rm -rf /System/Library/AccessibilityBundles/PassesLockScreenPlugin.axbundle
rm -rf /System/Library/BulletinBoardPlugins/PassesBulletinBoardPlugin.bundle
rm -rf /System/Library/UsageBundles/PassbookUsageBundle.bundle
#rm -rf /System/Library/Frameworks/PassKit.framework
rm -rf /System/Library/SpringBoardPlugins/PassesLockScreenPlugin.lockbundle
rm -rf /System/Library/LaunchDaemons/com.apple.passd.plist
sleep 1
echo 》删除“语音备忘录”
rm -rf /Applications/VoiceMemos.app
rm -rf /System/Library/AccessibilityBundles/VoiceMemos.axbundle
rm -rf /System/Library/AccessibilityBundles/VoiceMemosFramework.axbundle
rm -rf /System/Library/PrivateFrameworks/VoiceMemos.framework
rm -rf /System/Library/SpringBoardPlugins/VoiceMemosLockScreen.lockbundle
rm -rf /System/Library/SyncBundles/VoiceMemos.syncBundle
rm -rf /System/Library/UsageBundles/VoiceMemosUsageBundle.bundle
sleep 1
echo 》删除“地图”
rm -rf /Applications/Maps.app
rm -rf /System/Library/AccessibilityBundles/MapKitFramework.axbundle
rm -rf /System/Library/AccessibilityBundles/Maps-Assistant.axbundle
rm -rf /System/Library/AccessibilityBundles/Maps.axbundle
rm -rf /System/Library/PreferenceBundles/MapsSettings.bundle
rm -rf /System/Library/Frameworks/MapKit.framework
sleep 1
echo 》删除“指南针”
rm -rf /Applications/Compass.app
rm -rf /Applications/CompassCalibrationViewService.app
rm -rf /System/Library/AccessibilityBundles/Compass.axbundle
rm -rf /System/Library/AccessibilityBundles/CompassViewCalibrationService.axbundle
rm -rf /System/Library/PreferenceBundles/CompassSettings.bundle
rm -rf /System/Library/PrivateFrameworks/CompassUI.framework
#echo 》删除“查找iPhone”
#sleep 1
#rm -rf /Applications/FindMyiPhone.app
#rm -rf /System/Library/PrivateFrameworks/PreferencesUI.framework/FindMyiPhone@2x.png
#rm -rf /System/Library/PrivateFrameworks/PreferencesUI.framework/FindMyiPhone@3x.png
#rm -rf /System/Library/SpringBoardPlugins/FindMyiPhoneLockScreen.lockbundle
sleep 1
echo 》删除“IAD”
rm -rf /Applications/AdSheet.app
rm -rf /Applications/iAdOptOut.app
rm -rf /System/Library/AccessibilityBundles/iAdFramework.axbundle
rm -rf /System/Library/AccessibilityBundles/AdSheet.axbundle
rm -rf /System/Library/Frameworks/iAd.framework
rm -rf /System/Library/DataClassMigrators/iAd.migrator
sleep 1
echo 》删除“其他软件”
rm -rf /System/Library/PrivateFrameworks/YouTube.framework
rm -rf /System/Library/PublishingBundles/PublishToYouku.bundle
rm -rf /System/Library/PublishingBundles/PublishToYouTube.bundle
rm -rf /System/Library/PublishingBundles/PublishToYouku.bundle
rm -rf /System/Library/AccessibilityBundles/PublishToYouTube.axbundle
rm -rf /System/Library/UsageBundles/SoftwareUpdateUsageBundle.bundle #OTA系统升级通知
sleep 3
echo 
echo "${CMSG}精简进程服务${CEND}"
echo  
echo 》精简“系统升级服务”
rm -rf /System/Library/LaunchDaemons/com.apple.softwarebehaviorservicesd.plist
rm -rf /System/Library/LaunchDaemons/com.apple.softwareupdateservicesd.plist_o
sleep 1
echo 》精简“OTA进程”
rm -rf /System/Library/LaunchDaemons/com.apple.OTACrashCopier.plist
rm -rf /System/Library/LaunchDaemons/com.apple.OTAPKIAssetTool.plist
rm -rf /System/Library/LaunchDaemons/com.apple.OTATaskingAgent.plist
sleep 1
echo 》精简“苹果后台监视文件”
rm -rf /System/Library/LaunchDaemons/com.apple.fseventsd.plist
sleep 1
echo 》精简“第三方充电器日志”
rm -rf /System/Library/LaunchDaemons/com.apple.powerlogd.plist
sleep 1
echo 
echo 重新配置设置相关文件
cp Restrictions.plist /System/Library/PrivateFrameworks/Preferences.framework
cp Privacy.plist /System/Library/PrivateFrameworks/PreferencesUI.framework
cp Settings.plist /System/Library/PrivateFrameworks/PreferencesUI.framework
cp Sounds.plist /System/Library/PrivateFrameworks/PreferencesUI.framework
sleep 3
echo 
echo 脚本运行完毕
echo 
while :; do echo
    echo "${CMSG}请重启手机生效相关配置文件。${CEND}"
	echo " "
read -p "是否要现在重启手机？ [y/n]: " restart_yn
    if [[ ! $restart_yn =~ ^[y,n]$ ]];then
        echo "${CWARNING}输入错误！请输入 'y' 或 'n'${CEND}"
    else
        break
    fi
done
[ "$restart_yn" == 'y' ] && reboot && logout
printf "
${CMSG}
#######################################################################
#                    脚本运行完毕，可以手动关闭窗口了                 #
#                      联系邮箱：wangjin@boxrom.com                   #
#                      新浪微博：@南城漂荡的猫                        #
#                     重启后请用第三方助手修复图标                    #
#######################################################################
${CEND}
"